### Method

# Camel NamedFlags copy

since: 3.24

#### Declaration [src]

    CamelNamedFlags*
    camel_named_flags_copy (
      const CamelNamedFlags* named_flags
    )

#### Description [src]

Creates a copy of the `named_flags` and returns it.

Available since: 3.24

#### Parameters

`named_flags`

  Type: `CamelNamedFlags`

  A `CamelNamedFlags`.

  The argument can be `NULL`.

#### Return value

Type: `CamelNamedFlags`

A newly allocated `CamelNamedFlags`. Free it with `camel_named_flags_free()` when done with it.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.